package org.example;

import org.example.entity.CompanyTypeDictEntity;
import org.example.entity.CreditTypeDictEntity;
import org.example.entity.DictEntity;
import org.example.entity.UserCategoryDictEntity;
import org.example.repository.DictRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 提供字典接口
 */
@RestController
public class DictController {

    @Autowired
    private DictRepository repository;

    @RequestMapping("dict/getStatus")
    public List<DictEntity> getStatus(@RequestBody DictEntity query) {
        return repository.getDict(query);
    }
    @RequestMapping("dict/getUserCatetory")
    public List<UserCategoryDictEntity> getUserCatetory(@RequestBody UserCategoryDictEntity query) {
        return repository.getUserCategoryDict(query);
    }
    @RequestMapping("dict/getCompanyType")
    public List<CompanyTypeDictEntity> getCompanyType(@RequestBody CompanyTypeDictEntity query) {
        return repository.getCompanyTypeDict(query);
    }
    @RequestMapping("dict/getCreditType")
    public List<CreditTypeDictEntity> getCreditType(@RequestBody CreditTypeDictEntity query) {
        return repository.getCreditTypeDict(query);
    }
}
