package org.example;

import org.example.entity.QuickStartEntity;
import org.example.repository.QuickStartRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 提供数据接口
 */
@RestController
public class QuickStartController {

    @Autowired
    private QuickStartRepository repository;

    @RequestMapping("quickstart/list")
    public List<QuickStartEntity> list(@RequestBody(required = false) QuickStartEntity query) {
        return repository.list(query == null ? new QuickStartEntity() : query);
    }
}
