
-- 删除 demo 数据源
DELETE FROM es_dict_data_source where data_source_id in
('getDIQSDemoStatus', 'getDIQSDemoUserCatetory', 'getDIQSDemoCompanyType', 'getDIQSDemoCreditType');

-- 删除 http
delete from es_http_service where alias in
('getDIQSDemoList', 'getDIQSDemoStatus', 'getDIQSDemoUserCatetory', 'getDIQSDemoCompanyType', 'getDIQSDemoCreditType');
delete from es_http_extract where service_alias in
('getDIQSDemoList', 'getDIQSDemoStatus', 'getDIQSDemoUserCatetory', 'getDIQSDemoCompanyType', 'getDIQSDemoCreditType');

-- http
INSERT INTO es_http_service (url, "method", alias, ret_key, ret_type) VALUES('http://localhost:8935/quickstart/list', 'POST', 'getDIQSDemoList', '#', 'jsonArray');
INSERT INTO es_http_extract (service_alias, data_name, data_type) values
 ('getDIQSDemoList', 'id', 'text')
,('getDIQSDemoList', 'name', 'text')
,('getDIQSDemoList', 'status', 'text')
,('getDIQSDemoList', 'company_info', 'jsonb')
;

-- 数据源
INSERT INTO es_dict_data_source (data_source_id,data_source_type,data_source_config,cache_expiry_seconds,max_cache_size)
VALUES
 ('getDIQSDemoStatus','mybatis','getDIQSDemoStatus', 600, 32)
,('getDIQSDemoUserCatetory','mybatis','getDIQSDemoUserCatetory', 600, 32)
,('getDIQSDemoCompanyType','mybatis','getDIQSDemoCompanyType', 600, 32)
,('getDIQSDemoCreditType','mybatis','getDIQSDemoCreditType', 600, 32)
;

-- dicts
INSERT INTO es_http_service (url, "method", alias, ret_key, ret_type) VALUES('http://localhost:8935/dict/getStatus', 'POST', 'getDIQSDemoStatus', '#', 'jsonArray');
INSERT INTO es_http_extract (service_alias, data_name, data_type) values
 ('getDIQSDemoStatus', 'dict_code', 'text')
,('getDIQSDemoStatus', 'dict_name', 'text')
;

INSERT INTO es_http_service (url, "method", alias, ret_key, ret_type) VALUES('http://localhost:8935/dict/getUserCatetory', 'POST', 'getDIQSDemoUserCatetory', '#', 'jsonArray');
INSERT INTO es_http_extract (service_alias, data_name, data_type) values
 ('getDIQSDemoUserCatetory', 'user_category', 'text')
,('getDIQSDemoUserCatetory', 'user_category_name', 'text')
;

INSERT INTO es_http_service (url, "method", alias, ret_key, ret_type) VALUES('http://localhost:8935/dict/getCompanyType', 'POST', 'getDIQSDemoCompanyType', '#', 'jsonArray');
INSERT INTO es_http_extract (service_alias, data_name, data_type) values
 ('getDIQSDemoCompanyType', 'company_type', 'text')
,('getDIQSDemoCompanyType', 'dict_name', 'text')
,('getDIQSDemoCompanyType', 'dict_desc', 'text')
;

INSERT INTO es_http_service (url, "method", alias, ret_key, ret_type) VALUES('http://localhost:8935/dict/getCreditType', 'POST', 'getDIQSDemoCreditType', '#', 'jsonArray');
INSERT INTO es_http_extract (service_alias, data_name, data_type) values
 ('getDIQSDemoCreditType', 'credit_type', 'text')
,('getDIQSDemoCreditType', 'credit_level', 'text')
,('getDIQSDemoCreditType', 'credit_type_name', 'text')
;
